import es

''' Addon Information '''
info = es.AddonInfo() 
info['name']        = "Vampire Grenades"
info['version']     = "1.0" 
info['author']      = ".craziesT" 
info['url']         = "http://www.crazie.org" 
info['description'] = "Gain health when you hit someone with a nade."

''' Global Variables '''
var = es.ServerVar
var('vampire_grenades_ver', info['version']).makepublic()

variables = {
    'vampire_grenades_divider' : 7,
}

def load():
    for variable in variables:
        var(variable, variables[variable])
        
    es.server.queuecmd('es_xmexec ../addons/eventscripts/vampiregrenades/vampiregrenades.cfg')
    
def player_hurt(ev):
    if ev['weapon'].startswith('weapon_'):
        weapon = ev['weapon'].replace('weapon_', '')
    else:
        weapon = ev['weapon']
        
    if weapon == 'hegrenade':
        
        damage = int(ev['dmg_health'])
        bonus = int(damage/int(var('vampire_grenades_divider')))
        if bonus >= 1:
            health = es.getplayerprop(ev['attacker'], 'CCSPlayer.baseclass.m_iHealth')
            es.setplayerprop(ev['attacker'], 'CCSPlayer.baseclass.m_iHealth', health+bonus)

            es.tell(ev['attacker'], '#multi', '#lightgreenVampire Grenades #default: #greenYou gain #lightgreen%s#green hitpoints for your grenade hit.' % bonus)
            